SETLEDS(1)

NOM
setleds – Réglage des LED du clavier

SYNOPSIS
setleds [-v] [-L] [-D] [-F] [{+|-}num] [{+|-}caps] [{+|-}scroll]

DESCRIPTION

setleds affiche et modifie les réglages des indicateurs de led d’un terminal virtuel (précisément verrouillage du pavé numérique, des capitales/majuscules et arrêt du défilement). Sans argument, setleds affiche les réglages actuels. Avec des arguments, il établit ou efface les indicateurs spécifiés (laissant les autres inchangés). Les réglages avant et après la modification sont affichés si l’option -v est indiquée.

Les réglages des indicateurs leds sont spécifiques à chaque terminal virtuel (et celui correspondant à l’entrée standard est utilisé).

Par défaut (ou avec l’option -F), setleds ne change que les indicateurs du terminal virtuel (et leurs états peuvent être reflétés par les leds du clavier).

Avec l’option -D, setleds change les indicateurs des terminaux virtuels et leurs réglages par défaut (de façon qu’une réinitialisation conserve les réglages). Cela peut être utile pour les personnes voulant que le pavé numérique soit toujours activé.

Avec l’option -L, setleds ne modifie pas les indicateurs de terminal virtuel, mais modifie seulement les leds. À partir de ce moment, les leds ne seront plus représentatives des indicateurs de terminal virtuel (mais afficheront ce qui leur aura été assigné). La commande setleds -L (sans autres arguments) restaurera la situation où les leds représentent les indicateurs de terminal virtuel.

Il est possible d’utiliser setleds dans /etc/rc pour définir l’état initial par défaut du verrouillage numérique, par exemple avec
INITTY=/dev/tty[1-8]
for tty in $INITTY; do
setleds -D +num < $tty
done

OPTIONS

-num +num
    Verrouillage ou non du pavé numérique (actuellement, ce réglage influe sur l’interprétation des touches du pavé numérique. L’appui sur la touche de verrouillage agit en complément du réglage de verrouillage).

-caps +caps
    Verrouillage ou non des capitales/majuscules (actuellement, ce réglage agit en complément de la touche Maj pour les lettres. L’appui sur la touche de verrouillage des majuscules agit en complément du réglage de verrouillage).

-scroll +scroll
    Verrouillage ou non du défilement (actuellement, l’appui sur la touche d’arrêt du défilement (ou ^S/^Q) arrête ou démarre la sortie sur la console).

BOGUES
Dans le mode clavier de l’application, la touche de verrouillage numérique n’influe pas sur le réglage de l’indicateur de verrouillage.

AUTEURS
Andries Brouwer <aeb@cwi.nl>

VOIR AUSSI
loadkeys(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.